// Menu_MFCView.h : interface of the CMenu_MFCView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MENU_MFCVIEW_H__19B73E21_2E10_11D3_9E3C_080009EE62AA__INCLUDED_)
#define AFX_MENU_MFCVIEW_H__19B73E21_2E10_11D3_9E3C_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CMenu_MFCView : public CView
{
protected: // create from serialization only
	CMenu_MFCView();
	DECLARE_DYNCREATE(CMenu_MFCView)

// Attributes
public:
	CMenu_MFCDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMenu_MFCView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	int CurrentShape;
	int IsRounded;
	virtual ~CMenu_MFCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CMenu_MFCView)
	afx_msg void OnRounded();
	afx_msg void OnRectangle();
	afx_msg void OnCircle();
	afx_msg void OnUpdateCircle(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRectangle(CCmdUI* pCmdUI);
	afx_msg void OnUpdateRounded(CCmdUI* pCmdUI);
	afx_msg void OnAdd();
	afx_msg void OnEdit();
	afx_msg void OnDelete();
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in Menu_MFCView.cpp
inline CMenu_MFCDoc* CMenu_MFCView::GetDocument()
   { return (CMenu_MFCDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MENU_MFCVIEW_H__19B73E21_2E10_11D3_9E3C_080009EE62AA__INCLUDED_)
